需要资源：服务器、数据库（mysql持久化存储、redis数据缓存）、cdn（用于unity场景资源分发）、oss（用于图片、视频存储）、域名

# 一、账号系统
* 1、账号登陆
* 2、账户角色包括：管理员、布展者。管理员可以管理所有布展者及其发布的展览
#
# 二、展会管理
* 1、布展者可以创建、删除、编辑展览。布展者可以隐藏/显示已发布的展览
* 2、布展者可以控制是否显示开幕式、演播厅、展厅
* 3、布展者创建一个展览后，可以对此展览的所有展位进行编辑，可以上传图片（jpg、png）、视频（MP4）
* 4、布展者编辑已有展览，可对每个展位进行编辑
* 5、记录每个展品点赞、送花、访客留言
#
# 三、管理html页面
* 1、登陆页
* 2、验证码邮件
* 3、管理员页面，布展者列表，邀请布展者
* 4、布展者页面，展览列表
* 5、布展者页面，展览编辑页
#
# 四、服务器数据库数据结构
* 1、用户
```json
{
    "email":"xsxhl@live.com",
    "role":1,
    "display_name":"xxx博物馆"
}
```
* 2、展览
```json
{
    "exhibition_template":"",
    "title":"主标题",
    "subtitle":"副标题",
    "beginTime":1234567,
    "endTime":1234567,
    "likes":123,
    "flowers":123,
    "thumb":"http://xxxxxxx",
    "hidden":true
}
```
* 3、作者
  ```json
  {
    "name":"张三",
    "introduction":"1995年出生于xxx"
  }
  ```
* 3、作品
```json
{
    "id":"12345",
    "w":1,
    "h":1,
    "likes":123,
    "flowers":123,
    "thumb":"http://xxxxxxx"
}
```
* 3、展位
```json
{
    "number":1,
    "w":1,
    "h":1,
    "offset_x":0.1,
    "offset_y":0.1,
    "hidden":true,
    "likes":123,
    "flowers":123,
    "thumb":"http://xxxxxxx"
}
```
* 4、展品购买意向留言
```json
{
    "name":"张三",
    "phone":"123",
    "email":"xsxhl@live.com",
    "price":123
}
```
# 五、服务器-客户端数据
* 1、获取展馆信息
### request 
### method: POST
### host: http://182.92.75.61
### path: /exhibition/detail
```json
{
    "id":1, // 展览id
}
```
### response
```json
{
    "id":1, // 展览id
    "style": "1", // 1为现代，2为古代
    "title": "主标题",
    "subtitle": "副标题",
    "cover": "http://xxxxx", // 封面图
    "start_time": "", // 展会开始时间
    "end_time": "", // 展会结束时间
    "likes": 123, // 点赞数
    "flowers": 123, // 送花数
    "applauses": 123, // 鼓掌数
    "rooms":[ // 所有开放的场馆
        {
            "number": 2, // 场馆类型编号，1为开幕式，2为展厅，3为演播厅
            "exhibits": [ // 当前场馆内所有展位信息
                {
                    "number": 1, // 展位编号
                    "width": 1.01, // 展品宽度(单位：米)
                    "height": 1.01, // 展品高度(单位：米)
                    "offset_x": 0.1, // 展品横向偏移(单位：米)
                    "offset_y": 0.1, // 展品纵向偏移(单位：米)
                    "url": "https://xxxxx" // 展品图片、视频下载地址
                }
            ]
        }
    ]
}
```
# 六、前端接口(暂定)
* 1、获取总览列表
```json
[
    {
        "type":1,
        "name":"全部",
        "exhibitions":[
            {
                "id":"12345",
                "title":"主标题",
                "subtitle":"副标题",
                "beginTime":1234567,
                "endTime":1234567,
                "likes":123,
                "thumb":"http://xxxxxxx"
            }
        ]
    }
]
```

* 2、获取详细列表
```json
{
    "type":1,
    "name":"全部",
    "exhibitions":[
        {
            "id":"12345",
            "title":"主标题",
            "subtitle":"副标题",
            "beginTime":1234567,
            "endTime":1234567,
            "likes":123,
            "thumb":"http://xxxxxxx"
        }
    ]
}
```

* 3、展品详情页
```json
{
    "id":"123456",
    "name":"《Three masks》",
    "author":{
        "name":"张三",
        "introduction":"1995年出生于xxx"
    },
    "audio":"http://xxxxxx",
    "introduction":"1234567",
    "details":[
        {
            "media":"http://xxxxxx",
            "name":"《Three masks》",
            "size":"120cm x 60cm"
        }
    ],
    "likes":123
}
```
* 4、点赞
* 5、送花
* 6、购买表单